Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1323 - netstat -c doesn't show any changes/updates
Summary: netstat -c doesn't show any changes/updates
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-tools
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-25 06:59 UTC by kenth
Modified: 2008-03-06 19:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-25 01:32:21 UTC


Attachments (Terms of Use)

Description kenth 1999-02-25 06:59:14 UTC
try

netstat -ic

while doing a transfer or moving lots of data.  The first
reported values don't seem to ever change.

This is with
net-tools-1.50-0

downloaded from updates.redhat.com/.../kernel2.2 (or
something like that)

on a Linux 2.2.1 kernel.

Comment 1 David Lawrence 1999-02-25 20:59:59 UTC
I was able to replicate this problem in our lab. When using the -c
switch to netstat it fails to update the numbers being displayed. If I
control-c and then rerun you can see that there was in fact changes.
This has been passed on to a developer.

Comment 2 Jeff Johnson 1999-03-25 01:32:59 UTC
Fixed in net-tools-1.51-3.

Comment 3 Jan Iven 2003-07-24 09:07:32 UTC
Please re-Open, apparently this is still|again broken, tried
 net-tools-1.60-4 (RH7.3) and net-tools-1.60-12 (RH9). Both times 

netstat -ic 

will simply repeat the header line, as below (this is over ssh, so the output
alone should be enough to create some traffic)

# netstat -ic
Kernel Interface table
Iface   MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0   1500   0485433359      0      0      0565588383      0      0      0 BMRU
eth1   1500   0 8345698      0      0      0 2967031      0      0      0 BMRU
lo    16436   0   48325      0      0      0   48325      0      0      0 LRU
Iface   MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
Iface   MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
...


Btw, the man page claims that 
netstat --interface=eth0 
should only show eth0, but actually you get an error (ditto --interfaces="eth0",
"-i eth0" simply ignores the "eth0" bit):

netstat: option `--interfaces' doesn't allow an argument
usage: netstat [-veenNcCF] [<Af>] -r         netstat {-V|--version|-h|--help}
..



Note You need to log in before you can comment on or make changes to this bug.